ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Filip Balas" <fba...@IMVProjects.com>
Subject 'GET' task issues...
Date Thu, 24 Jun 2004 16:54:32 GMT
Hi Everyone,

Just wondering if anyone knows if there are any
known problems with Ant 1.6.1 working in the following
environment using GET:

Eclipse 3.0 RC2
Apache 2.0.49
Tomcat 5.0.25
Tapestry 3.0 RC3

I have attached 2 text files, one with the build
script and the other with the output (error at the
end).

Here is what I have verified:
1) Tomcat works
2) Apache works
3) I can get to Tomcat admin & manager
4) Tapestry works
5) Deployment of Tapesty workbench works

If I manually type in the URL generated by the build script
( http://localhost:8080/manager/install?path=/tutorial&war=file://C:/Program Files/Apache
Group/Tomcat 5.0/webapps/tutorial/ )
Then the tutorial webapp is successfully registered with
Tomcat and it can be accessed.  Also a page is returned
with a message :  "OK - Deployed application at context path /tutorial" 

I am under the impression that this could be something
to do with Ant not liking the version of Apache or Tomcat
because when I tried to do this:
<waitfor><http url="${mgrDeployUrl}?${application}&amp;war=file://${webappsHome}/${application}/"
/></waitfor>

I get the following result:

Checking for http://localhost:8080/manager/install?tutorial&war=file://C:/Program Files/Apache
Group/Tomcat 5.0/webapps/tutorial/
Result code for http://localhost:8080/manager/install?tutorial&war=file://C:/Program Files/Apache
Group/Tomcat 5.0/webapps/tutorial/ was 505

505 means that the http version is not supported but wouldn't all, Apache, Tomcat and Ant
use http 1.1?

Filip

--------------------------------------------------------------------------------------------------------------

Mime
View raw message